<script>
 import { page } from '$app/stores';

 import ExerciceLayout from '$lib/components/ExerciceLayout.svelte';
 import { themes } from '$lib/stores/themes';

 if ($themes.length == 0) {
      themes.refresh();
 }

 export let data;
</script>

<ExerciceLayout
    exercice={data.exercice}
    qaitems={data.qaitems}
    query_selected={$page.params.qid}
>
    <slot></slot>
</ExerciceLayout>
